#pragma once
#include "Positioner.hpp"

namespace vera
{
class ManualPositioner : public Positioner
{
public:
  void measurementPosition(Interactor& interactor) override;
  void loadingPosition(Interactor& interactor) override;

private:
  void moveTo(Interactor& interactor, std::string const& positionName) const;
};
}
